Paul Eggert %!s(int64=28) %!d(string=hai) anos
pai
achega
70fdfd4fa1
Modificáronse 1 ficheiros con 25 adicións e 0 borrados
  1. 25 0
      tests/incremen.sh

+ 25 - 0
tests/incremen.sh

@@ -0,0 +1,25 @@
+#! /bin/sh
+# A directory older than the listed entry was skipped completely.
+
+. ./preset
+. $srcdir/before
+
+set -e
+mkdir structure
+touch structure/file
+# FIXME: The sleep is necessary for the second tar to work.  Exactly why?
+sleep 1
+tar cf archive --listed=list structure
+tar cfv archive --listed=list structure
+echo -----
+touch structure/file
+tar cfv archive --listed=list structure
+
+out="\
+structure/
+-----
+structure/
+structure/file
+"
+
+. $srcdir/after